Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans
Class AbleDataSeriesHeader

    java.lang.Object
      com.ibm.able.AbleObject
          com.ibm.able.beans.AbleDataSeriesHeader

All Implemented Interfaces:
  AbleBean, AbleDataBufferManager, AbleEventListener, AbleEventListenerManager, AbleEventQueueManager, AbleEventQueueProcessor, AblePropertyChangeManager, AbleSerializable, java.io.Serializable

public class AbleDataSeriesHeader
extends AbleObject
implements java.io.Serializable

Class for managing control variables for this DataSeries

See Also:
  Serialized Form

Field Summary
`static java.lang.Class` | `classClass` Class used to signify the initial object passed to identify the "kind" of data to be maintained is not acceptable (e.g., not an Integer or Double).
`static java.lang.Class` | `classDouble` Class used to signify the content of the array is being maintained internally as a double[].
`static java.lang.Class` | `classDoubleArray` Class used to signify the content of the array is being maintained internally as a double[].
`static java.lang.Class` | `classIntArray` Class used to signify the content of the array is being maintained internally as an int[].
`static java.lang.Class` | `classInteger` Class used to signify the content of the array is being maintained internally as an int[].
`static java.lang.Class` | `classString` Class used to signify the content of the array is being maintained internally as a String[].
`static java.lang.Class` | `classStringArray` Class used to signify the content of the array is being maintained internally as a String[].
`static boolean` | `DEFAULT_CALC_ON_ADD` Default value for whether (true) or not (false) calculations should be performed each time a value is added to the history of this DataSeries.
`static int` | `DEFAULT_GROWTH_INCREMENT` The default growth increment used to increase capacity of unlocked DataSeries.
`static int` | `DEFAULT_HISTORY_SIZE` The default capacity of the history maintained is set to this value unless a capacity is specified during construction.
`static int` | `INVALID_INDEX` Equal to -1, this is used to signal an invalid index for operations expecting to return an index to information, when none is available or when an error has occurred.
`static int` | `iUnknownID` Equal to -1, this is used to signal an unknown identity for this DataSeriesHeader.
`static java.lang.String` | `strUnknown` The default for unnamed DataSeries == "Unknown".

Fields inherited from class com.ibm.able.AbleObject
`changed, chgSupport, comment, dataFlowEnabled, defaultName, destBufferConnections, eventQueue, fileName, inputBuffer, listeners, logger, name, outputBuffer, parent, properties, propertyConnectionMgr, sourceBufferConnections, state, stateChgSupport, trace`

Constructor Summary
`AbleDataSeriesHeader()`
`AbleDataSeriesHeader(int iIdentity)`
`AbleDataSeriesHeader(int iCapacity, boolean bCalcOnAdd, java.lang.String strName)`
`AbleDataSeriesHeader(java.lang.String strName)`
`AbleDataSeriesHeader(java.lang.String strName, int iIdentity)`
`AbleDataSeriesHeader(java.lang.String strName, int iIdentity, int iCapacity)`
`AbleDataSeriesHeader(java.lang.String strName, int iIdentity, int iCapacity, boolean bCalcOnAdd)`

Method Summary
`int` | `getArrayAddIndex()` Method to get ArrayAddIndex
`boolean` | `getCalcOnAdd()` Method to get CalcOnAdd
`int` | `getCapacity()` Method to get Capacity
`int` | `getCount()` Method to get Count
`java.lang.Class` | `getDataType()` Method to get Data Type
`int` | `getGrowthIncrement()` Method to get GrowthIncrement
`int` | `getIdentity()` Method to get Identity
`boolean` | `getLocked()` Method to get Locked
`double` | `getMax()` Method to get Max -- note to get the real information you should use the getMaximum method in AbleDataSeries.
`double` | `getMin()` Method to get Min -- note to get the real information you should use the getMinimum method in AbleDataSeries.
`boolean` | `getNeedsCalc()` Method to get NeedsCalc
`double` | `getSum()` Method to get Sum -- note to get the real information you should use the getSum method in AbleDataSeries.
`double` | `getSumSqrd()` Method to get SumSqrd -- note to get the real information you should use the getSumSqrd method in AbleDataSeries.
`void` | `setArrayAddIndex(int iIn)` Method to set ArrayAddIndex
`void` | `setCalcOnAdd(boolean bIn)` Method to set CalcOnAdd
`void` | `setCapacity(int iIn)` Method to set Capacity
`void` | `setCount(int iIn)` Method to set Count
`void` | `setDataType(java.lang.Class clsIn)` Method to set m_bDataType
`void` | `setGrowthIncrement(int iIn)` Method to set GrowthIncrement
`void` | `setIdentity(int iIn)` Method to set Identity
`void` | `setLocked(boolean bIn)` Method to set Locked
`void` | `setMax(double dIn)` Method to set Max
`void` | `setMin(double dIn)` Method to set Min
`void` | `setName(java.lang.String strName)` Method to set the Name of this DataSeries.
`void` | `setNeedsCalc(boolean bIn)` Method to set NeedsCalc
`void` | `setSum(double dIn)` Method to set Sum
`void` | `setSumSqrd(double dIn)` Method to set SumSqrd
`java.lang.String` | `toString()` Method to get a String containing information contained in this header.

Methods inherited from class com.ibm.able.AbleObject
`addAbleEventListener, addDestBufferConnection, addPropertyChangeListener, addPropertyConnection, addSourceBufferConnection, addStateChangeListener, dataChanged, firePropertyChange, flushAbleEventQueue, getAbleEventListeners, getAbleEventProcessingEnabled, getAbleEventQueueSize, getComment, getDestBufferConnections, getFileName, getInputBuffer, getInputBuffer, getInputBufferAsString, getInputBufferAsStringArray, getInputBufferContents, getLogger, getName, getOutputBuffer, getOutputBuffer, getOutputBufferAsString, getOutputBufferAsStringArray, getOutputBufferContents, getParent, getProperties, getProperty, getPropertyChangeListeners, getPropertyConnectionManager, getSleepTime, getSourceBufferConnections, getState, getTraceLogger, handleAbleEvent, hasInputBuffer, hasOutputBuffer, init, init, isAbleEventPostingEnabled, isAbleEventProcessingEnabled, isChanged, isConnectable, isDataFlowEnabled, isTimerEventProcessingEnabled, notifyAbleEventListeners, process, process, processAbleEvent, processBufferConnections, processNoEventProcessingEnabledSituation, processTimerEvent, quitAll, quitEnabledEventProcessing, removeAbleEventListener, removeAllAbleEventListeners, removeAllBufferConnections, removeAllConnections, removeAllPropertyConnections, removeDestBufferConnection, removeProperty, removePropertyChangeListener, removePropertyConnection, removeSourceBufferConnection, removeStateChangeListener, reset, restartEnabledEventProcessing, restoreFromFile, restoreFromFile, restoreFromSerializedFile, restoreFromStream, resumeAll, resumeEnabledEventProcessing, saveToFile, saveToFile, setAbleEventProcessingEnabled, setChanged, setComment, setDataFlowEnabled, setFileName, setInputBuffer, setInputBuffer, setLogger, setOutputBuffer, setOutputBuffer, setParent, setProperties, setProperty, setSleepTime, setState, setTimerEventProcessingEnabled, setTraceLogger, sourceConnectionsOK, startEnabledEventProcessing, suspendAll, suspendEnabledEventProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### classClass

    public static final java.lang.Class classClass

  Class used to signify the initial object passed to identify the "kind" of data to be maintained is not acceptable (e.g., not an Integer or Double). No history will be maintained for anything except Integers or Doubles.

### classDouble

    public static final java.lang.Class classDouble

  Class used to signify the content of the array is being maintained internally as a double[]. When objects are passed into this class, their Java Class is compared against this value to see if conversion is necessary.

### classDoubleArray

    public static final java.lang.Class classDoubleArray

  Class used to signify the content of the array is being maintained internally as a double[]. When ann array object is passed into this class, their Java Class is compared against this value to see if conversion is necessary. Eventual type for this will be classDouble.

  See Also:
    `classDouble`

### classIntArray

    public static final java.lang.Class classIntArray

  Class used to signify the content of the array is being maintained internally as an int[]. When an array object is passed into this class, their Java Class is compared against this value to see if conversion is necessary. Eventual type for this will be classInteger.

  See Also:
    `classInteger`

### classInteger

    public static final java.lang.Class classInteger

  Class used to signify the content of the array is being maintained internally as an int[]. When objects are passed into this class, their Java Class is compared against this value to see if conversion is necessary.

### classString

    public static final java.lang.Class classString

  Class used to signify the content of the array is being maintained internally as a String[]. When objects are passed into this class, their Java Class is compared against this value to see if conversion is necessary.

### classStringArray

    public static final java.lang.Class classStringArray

  Class used to signify the content of the array is being maintained internally as a String[]. When an array object is passed into this class, their Java Class is compared against this value to see if conversion is necessary. Eventual type for this will be classString.

  See Also:
    `classString`

### DEFAULT_CALC_ON_ADD

    public static final boolean DEFAULT_CALC_ON_ADD

  Default value for whether (true) or not (false) calculations should be performed each time a value is added to the history of this DataSeries. This value is a boolean set to false for better performance.

  See Also:
    Constant Field Values

### DEFAULT_GROWTH_INCREMENT

    public static final int DEFAULT_GROWTH_INCREMENT

  The default growth increment used to increase capacity of unlocked DataSeries.

  See Also:
    Constant Field Values

### DEFAULT_HISTORY_SIZE

    public static final int DEFAULT_HISTORY_SIZE

  The default capacity of the history maintained is set to this value unless a capacity is specified during construction.

  See Also:
    Constant Field Values

### iUnknownID

    public static final int iUnknownID

  Equal to -1, this is used to signal an unknown identity for this DataSeriesHeader.

  See Also:
    Constant Field Values

### INVALID_INDEX

    public static final int INVALID_INDEX

  Equal to -1, this is used to signal an invalid index for operations expecting to return an index to information, when none is available or when an error has occurred.

  See Also:
    Constant Field Values

### strUnknown

    public static final java.lang.String strUnknown

  The default for unnamed DataSeries == "Unknown".

  See Also:
    Constant Field Values

Constructor Detail

### AbleDataSeriesHeader

    public AbleDataSeriesHeader()

### AbleDataSeriesHeader

    public AbleDataSeriesHeader(int iIdentity)

### AbleDataSeriesHeader

    public AbleDataSeriesHeader(java.lang.String strName)

### AbleDataSeriesHeader

    public AbleDataSeriesHeader(java.lang.String strName,
                                int iIdentity)

### AbleDataSeriesHeader

    public AbleDataSeriesHeader(java.lang.String strName,
                                int iIdentity,
                                int iCapacity)

### AbleDataSeriesHeader

    public AbleDataSeriesHeader(int iCapacity,
                                boolean bCalcOnAdd,
                                java.lang.String strName)

### AbleDataSeriesHeader

    public AbleDataSeriesHeader(java.lang.String strName,
                                int iIdentity,
                                int iCapacity,
                                boolean bCalcOnAdd)

Method Detail

### getArrayAddIndex

    public int getArrayAddIndex()

  Method to get ArrayAddIndex

  Returns:
    ArrayAddIndex value

### getCalcOnAdd

    public boolean getCalcOnAdd()

  Method to get CalcOnAdd

  Returns:
    CalcOnAdd value

### getCapacity

    public int getCapacity()

  Method to get Capacity

  Returns:
    Capacity value

### getCount

    public int getCount()

  Method to get Count

  Returns:
    Count value

### getDataType

    public java.lang.Class getDataType()

  Method to get Data Type

  Returns:
    DataType value

### getGrowthIncrement

    public int getGrowthIncrement()

  Method to get GrowthIncrement

  Returns:
    GrowthIncrement value

### getIdentity

    public int getIdentity()

  Method to get Identity

  Returns:
    Identity value

### getLocked

    public boolean getLocked()

  Method to get Locked

  Returns:
    Locked value

### getMax

    public double getMax()

  Method to get Max -- note to get the real information you should use the getMaximum method in AbleDataSeries.

  Returns:
    Max value

### getMin

    public double getMin()

  Method to get Min -- note to get the real information you should use the getMinimum method in AbleDataSeries.

  Returns:
    Min value

### getNeedsCalc

    public boolean getNeedsCalc()

  Method to get NeedsCalc

  Returns:
    NeedsCalc value

### getSum

    public double getSum()

  Method to get Sum -- note to get the real information you should use the getSum method in AbleDataSeries.

  Returns:
    Sum value

### getSumSqrd

    public double getSumSqrd()

  Method to get SumSqrd -- note to get the real information you should use the getSumSqrd method in AbleDataSeries.

  Returns:
    SumSqrd value

### setCalcOnAdd

    public void setCalcOnAdd(boolean bIn)

  Method to set CalcOnAdd

  Returns:
    CalcOnAdd value

### setLocked

    public void setLocked(boolean bIn)

  Method to set Locked

  Returns:
    Locked value

### setNeedsCalc

    public void setNeedsCalc(boolean bIn)

  Method to set NeedsCalc

  Returns:
    NeedsCalc value

### setDataType

    public void setDataType(java.lang.Class clsIn)

  Method to set m_bDataType

  Returns:
    m_bDataType value

### setMax

    public void setMax(double dIn)

  Method to set Max

  Returns:
    Max value

### setMin

    public void setMin(double dIn)

  Method to set Min

  Returns:
    Min value

### setSum

    public void setSum(double dIn)

  Method to set Sum

  Returns:
    Sum value

### setSumSqrd

    public void setSumSqrd(double dIn)

  Method to set SumSqrd

  Returns:
    SumSqrd value

### setArrayAddIndex

    public void setArrayAddIndex(int iIn)

  Method to set ArrayAddIndex

  Returns:
    ArrayAddIndex value

### setCapacity

    public void setCapacity(int iIn)

  Method to set Capacity

  Returns:
    Capacity value

### setCount

    public void setCount(int iIn)

  Method to set Count

  Returns:
    Count value

### setGrowthIncrement

    public void setGrowthIncrement(int iIn)

  Method to set GrowthIncrement

  Returns:
    GrowthIncrement value

### setIdentity

    public void setIdentity(int iIn)

  Method to set Identity

  Returns:
    Identity value

### setName

    public void setName(java.lang.String strName)

  Method to set the Name of this DataSeries. Note, if the name passed is null or empty ("") then the name is set to strUnknown.

  Specified by:
    `setName` in interface `AbleBean`
  Overrides:
    `setName` in class `AbleObject`
  Parameters:
    `strName` - The name for this DataSeries.
  See Also:
    `strUnknown`

### toString

    public java.lang.String toString()

  Method to get a String containing information contained in this header.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005